package com.huimv.admin.reader;

import com.gg.reader.api.dal.GClient;
import com.gg.reader.api.protocol.gx.EnumG;
import com.gg.reader.api.protocol.gx.MsgBaseWriteEpc;
import com.gg.reader.api.protocol.gx.ParamEpcFilter;

public class WriteEpcFilter {
    public static void main(String[] args) {
        GClient client = new GClient();
        if (client.openSerial("COM7:115200", 2000)) {
            MsgBaseWriteEpc msg = new MsgBaseWriteEpc();
            msg.setAntennaEnable(EnumG.AntennaNo_1);
            msg.setArea(EnumG.WriteArea_Userdata);//写UserData
            msg.setStart(0);
            String data = "1234";
            int len = PcUtils.getValueLen(data);
            data = PcUtils.padLeft(data, len * 4, '0');
            msg.setHexWriteData(data);

            //匹配参数
            String tid = "E280110520007A5CA8AB08A8";
            ParamEpcFilter filter = new ParamEpcFilter();
            filter.setArea(EnumG.ParamFilterArea_TID);
            filter.setHexData(tid);
            filter.setBitStart(0);
            filter.setBitLength(tid.length() * 4);
            msg.setFilter(filter);

            client.sendSynMsg(msg);
            if (0x00 == msg.getRtCode()) {
                System.out.println("Write successful.");
            } else {
                System.out.println(msg.getRtMsg());
            }
        }
    }
}
