package com.huimv.admin.reader;

import com.gg.reader.api.dal.GClient;
import com.gg.reader.api.protocol.gx.EnumG;
import com.gg.reader.api.protocol.gx.MsgBaseDestroyEpc;
import com.gg.reader.api.protocol.gx.ParamEpcFilter;

public class DestroyEpc {
    public static void main(String[] args) {
        GClient client = new GClient();
        if (client.openSerial("COM7:115200", 2000)) {

            MsgBaseDestroyEpc msg = new MsgBaseDestroyEpc();
            msg.setAntennaEnable(EnumG.AntennaNo_1);
            msg.setHexPassword("87654321");//保留区前4个字节 销毁密码

            //匹配 可选参数
            String tid = "E280110520007B05A8C208A9";
            ParamEpcFilter filter = new ParamEpcFilter();
            filter.setArea(EnumG.ParamFilterArea_TID);
            filter.setHexData(tid);
            filter.setBitStart(0);
            filter.setBitLength(tid.length() * 4);
            msg.setFilter(filter);

            client.sendSynMsg(msg);
            if (0x00 == msg.getRtCode()) {
                System.out.println("Destroy success");
            } else {
                System.out.println(msg.getRtMsg());
            }
        }
    }
}
