package com.huimv.admin.reader;

import com.gg.reader.api.dal.GClient;
import com.gg.reader.api.protocol.gx.EnumG;
import com.gg.reader.api.protocol.gx.MsgBaseLock6bGet;

public class Lock6bGet {
    public static void main(String[] args) {
        GClient client = new GClient();
        if (client.openSerial("COM7:115200", 2000)) {
            MsgBaseLock6bGet msg = new MsgBaseLock6bGet();
            msg.setAntennaEnable(EnumG.AntennaNo_1);
            String tid = "E0040000B6B3E808";
            msg.setHexMatchTid(tid);
            //查询第9个字节锁定状态
            msg.setLockIndex(9);//byte 从0开始
            client.sendSynMsg(msg);
            if (0x00 == msg.getRtCode()) {
                System.out.println("Query success");
                if (msg.getLockState() == 1) {
                    System.out.println("已锁定");
                } else {
                    System.out.println("未锁定");
                }
            }
        }
    }
}
