package com.huimv.admin.reader;

import com.gg.reader.api.dal.GClient;
import com.gg.reader.api.dal.HandlerTagTLLog;
import com.gg.reader.api.dal.HandlerTagTLOver;
import com.gg.reader.api.protocol.gx.EnumG;
import com.gg.reader.api.protocol.gx.LogBaseTLInfo;
import com.gg.reader.api.protocol.gx.LogBaseTLOver;
import com.gg.reader.api.protocol.gx.MsgBaseInventoryTL;

public class ReadTL {
    public static void main(String[] args) {
        GClient client = new GClient();
        if (client.openSerial("COM7:115200", 2000)) {
            subscribeHandler(client);
            MsgBaseInventoryTL msg = new MsgBaseInventoryTL();
            msg.setAntennaEnable(EnumG.AntennaNo_1);
            msg.setInventoryMode(EnumG.InventoryMode_Inventory);
            client.sendSynMsg(msg);
            System.err.println(msg.getRtCode() + "-->" + msg.getRtMsg());
        }
    }

    //订阅标签信息上报
    private static void subscribeHandler(GClient client) {
        client.onTagTLog = new HandlerTagTLLog() {
            @Override
            public void log(String s, LogBaseTLInfo logBaseTLInfo) {
                System.err.println(logBaseTLInfo);
            }
        };
        client.onTagTLOver = new HandlerTagTLOver() {
            @Override
            public void log(String s, LogBaseTLOver logBaseTLOver) {

            }
        };
    }
}
